%define build_date %(date -I | tr -d '-')
Name:           drawterm
Version:        %{build_date}
Release:        1%{?dist}
Summary:        9front-enhanced drawterm technology

License:        LPLv1.02
URL:            http://drawterm.9front.org
Source:         http://git.9front.org/git/plan9front/drawterm/HEAD/snap.tar.gz

BuildRequires:	libX11-devel libXau-devel libXt-devel libXi-devel libxcb-devel libXft-devel glibc-devel fontconfig-devel freetype-devel libpng-devel libuuid-devel libXext-devel libXrender-devel zlib-devel gcc make
%if 0%{?suse_version} >= 1100
BuildRequires:	libbz2-devel libexpat-devel
%else
BuildRequires:	bzip2-devel expat-devel
%endif

Requires:	libX11 libXau libXt libXi libxcb libXft glibc fontconfig freetype libpng libuuid libXext libXrender zlib 
%if 0%{?suse_version} >= 1100
BuildRequires:	libbz2-1 expat
%else
BuildRequires:	bzip2 expat
%endif

%description
9front-enhanced drawterm technology

%global debug_package %{nil}
%prep
%setup -n %{name}


%build
CONF=unix make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install drawterm $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man1/
install drawterm.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -d $RPM_BUILD_ROOT/%{_docdir}/drawterm/
install LICENSE $RPM_BUILD_ROOT/%{_docdir}/drawterm/
install README $RPM_BUILD_ROOT/%{_docdir}/drawterm/


%files
%license LICENSE
%doc README
%doc LICENSE
%{_mandir}/man1/drawterm.1.gz
%{_bindir}/drawterm
%{_docdir}/drawterm/LICENSE
%{_docdir}/drawterm/README



%changelog
* Fri Apr 19 2024 Kurt H Maier <khm@wciops.net> - de6172c0
- new repository source
* Mon Apr 27 2020 Kurt H Maier <khm@sciops.net> - 4911d154d158
- -g flag, aarch64 support, ewmh improvements
* Tue Jan  7 2020 Kurt H Maier <khm@sciops.net> - c1f00697245d
- packaged
